Page MenuHomePhabricator

Verify data pipeline for TextCat A/B test on English Wikipedia
Closed, ResolvedPublic

Description

After the test is deployed (see T121542), we should verify the data pipeline and data collection for the test.

Related Objects

Event Timeline

Deskana created this task.May 3 2016, 9:45 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 3 2016, 9:45 PM

It's been a week, so according to the blocked task it's time to turn the test off. Is the data usable?

Deskana raised the priority of this task from Normal to High.May 24 2016, 8:13 PM

Well, crap. I created this task and didn't prioritise it properly. This verification is happening late. I'm increasing priority to try to rectify this situation.

mpopov added a subscriber: mpopov.May 25 2016, 9:59 PM

I checked out the data and saw a few issues that have been addressed by Erik in this etherpad: https://etherpad.wikimedia.org/p/r.a64562df192c43b04c4fbe57d439ded4

I now have a script for fetching and correctly processing the TextCat A/B test EL data. (See https://github.com/wikimedia-research/Discovery-Search-Test-TextCat/blob/master/data.R)

Looks like we're good to turn the test off, @EBernhardson

debt closed this task as Resolved.Jun 8 2016, 12:43 AM
debt claimed this task.
debt added a subscriber: debt.

Looks like this is resolved - closing.